#include <stdio.h>
#include <stdlib.h>
#define DIM 1000000000000000000
int main()
{
    int v, n, br=0;
    printf("\nUnesi sumu koju je potrebno isplatiti: ");
    do{
    scanf("%i", &v);
    if(v<1||v>DIM) printf("Greska, unesi ponovo: ");
    }while(v<1||v>DIM);

    while(v!=0)
    {
        n=v%10;
        if(n==9||n==8)br+=3;
        if(n==3||n==4||n==7||n==6)br+=2;
        if(n==1||n==2||n==5)br++;
        v=v/10;
    }

    printf("\nNajmanji broj novcanica potrebnih da se isplati data suma je: %i\n\n", br);




    return 0;
}